prototypes:
  standard:
    formElementsDefinition:
      ContentElement:
        formEditor:
          editors:
            100:
              identifier: header
              templateName: Inspector-FormElementHeaderEditor
            300:
              identifier: contentElement
              templateName: Inspector-Typo3WinBrowserEditor
              label: formEditor.elements.ContentElement.editor.contentElement.label
              buttonLabel: formEditor.elements.ContentElement.editor.contentElement.buttonLabel
              browsableType: tt_content
              iconIdentifier: mimetypes-x-content-text
              propertyPath: properties.contentElementUid
              propertyValidatorsMode: OR
              propertyValidators:
                10: Integer
                20: FormElementIdentifierWithinCurlyBracesExclusive
            700:
              identifier: gridColumnViewPortConfiguration
              templateName: Inspector-GridColumnViewPortConfigurationEditor
              label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.label
              configurationOptions:
                viewPorts:
                  10:
                    viewPortIdentifier: xs
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xs.label
                  20:
                    viewPortIdentifier: sm
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.sm.label
                  30:
                    viewPortIdentifier: md
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.md.label
                  40:
                    viewPortIdentifier: lg
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.lg.label
                  50:
                    viewPortIdentifier: xl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xl.label
                  60:
                    viewPortIdentifier: xxl
                    label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.xxl.label
                numbersOfColumnsToUse:
                  label: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.label
                  propertyPath: 'properties.gridColumnClassAutoConfiguration.viewPorts.{@viewPortIdentifier}.numbersOfColumnsToUse'
                  fieldExplanationText: formEditor.elements.FormElement.editor.gridColumnViewPortConfiguration.numbersOfColumnsToUse.fieldExplanationText
            9999:
              identifier: removeButton
              templateName: Inspector-RemoveElementEditor
          predefinedDefaults:
            label: formEditor.elements.ContentElement.label
            properties:
              contentElementUid: ''
          label: formEditor.elements.ContentElement.label
          description: formEditor.elements.ContentElement.description
          group: custom
          groupSorting: 700
          iconIdentifier: form-content-element
        implementationClassName: TYPO3\CMS\Form\Domain\Model\FormElements\GenericFormElement
        properties:
          contentElementUid: ''
        variants:
          -
            identifier: hide-1
            renderingOptions:
              enabled: false
            condition: 'stepType == "SummaryPage" || finisherIdentifier in ["EmailToSender", "EmailToReceiver"]'
          -
            identifier: template-variant
            condition: 'getRootFormProperty("renderingOptions.templateVariant") == "version2"'
            properties:
              outerContainerClassAttribute: clearfix
    formEditor:
      formEditorPartials:
        FormElement-ContentElement: Stage/ContentElement
